Bug 235391 - [heapwalker] Number of objects pending for finalization: -1
[heapwalker] Number of objects pending for finalization: -1
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P4 (vote)
: 8.0
Assigned To: Tomas Hurka
issues@profiler
bugdb_17367236
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:12 UTC by Jiri Sedlacek
Modified: 2013-09-04 06:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2013-09-02 09:12:46 UTC
Number of objects to be finalized is reported -1 for heap dumps created from a JRockit JVM (Oracle JRockit(R) (R28.2.0-79-146777-1.6.0_29-20111005-1807-linux-x86_64, compiled mode)).
Comment 1 Tomas Hurka 2013-09-02 09:33:07 UTC
Please provide heap dump. Thanks.
Comment 2 Jiri Sedlacek 2013-09-02 11:13:03 UTC
Heap dump provided (offline).
Comment 3 Tomas Hurka 2013-09-03 14:52:36 UTC
Fixed in profiler-main

changeset:   262889:81c8ecb01939
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Sep 03 16:49:23 2013 +0200
summary:     bugfix #235391, display 'not available' (instead of -1) when finalizers cannot be computed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo